org.apache.ignite.cache.store.cassandra

## Class CassandraCacheStoreFactory<K,V>

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.CassandraCacheStoreFactory<K,V>

- Type Parameters:
    `K` - Ignite cache key type
    `V` - Ignite cache value type
  All Implemented Interfaces:
    Serializable, javax.cache.configuration.Factory<CassandraCacheStore<K,V>>

      public class CassandraCacheStoreFactory<K,V>
      extends Object
      implements javax.cache.configuration.Factory<CassandraCacheStore<K,V>>

  Factory class to instantiate `CassandraCacheStore`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CassandraCacheStoreFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CassandraCacheStore<K,V>` | `create()`
    `int` | `getMaxPoolSize()` Get maximum workers thread count.
    `CassandraCacheStoreFactory<K,V>` | `setDataSource(DataSource dataSrc)` Sets data source.
    `CassandraCacheStoreFactory<K,V>` | `setDataSourceBean(String beanName)` Sets data source bean name.
    `CassandraCacheStoreFactory<K,V>` | `setMaxPoolSize(int maxPoolSize)` Set Maximum workers thread count.
    `CassandraCacheStoreFactory<K,V>` | `setPersistenceSettings(KeyValuePersistenceSettings settings)` Sets persistence settings.
    `CassandraCacheStoreFactory<K,V>` | `setPersistenceSettingsBean(String beanName)` Sets persistence settings bean name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CassandraCacheStoreFactory

          public CassandraCacheStoreFactory()

  - ### Method Detail

    - #### create

          public CassandraCacheStore<K,V> create()

      Specified by:
        `create` in interface `javax.cache.configuration.Factory<CassandraCacheStore<K,V>>`

    - #### setDataSource

          public CassandraCacheStoreFactory<K,V> setDataSource(DataSource dataSrc)

      Sets data source.
      Parameters:
        `dataSrc` - Data source.
      Returns:
        `This` for chaining.

    - #### setDataSourceBean

          public CassandraCacheStoreFactory<K,V> setDataSourceBean(String beanName)

      Sets data source bean name.
      Parameters:
        `beanName` - Data source bean name.
      Returns:
        `This` for chaining.

    - #### setPersistenceSettings

          public CassandraCacheStoreFactory<K,V> setPersistenceSettings(KeyValuePersistenceSettings settings)

      Sets persistence settings.
      Parameters:
        `settings` - Persistence settings.
      Returns:
        `This` for chaining.

    - #### setPersistenceSettingsBean

          public CassandraCacheStoreFactory<K,V> setPersistenceSettingsBean(String beanName)

      Sets persistence settings bean name.
      Parameters:
        `beanName` - Persistence settings bean name.
      Returns:
        `This` for chaining.

    - #### getMaxPoolSize

          public int getMaxPoolSize()

      Get maximum workers thread count. These threads are responsible for queries execution.
      Returns:
        Maximum workers thread count.

    - #### setMaxPoolSize

          public CassandraCacheStoreFactory<K,V> setMaxPoolSize(int maxPoolSize)

      Set Maximum workers thread count. These threads are responsible for queries execution.
      Parameters:
        `maxPoolSize` - Max workers thread count.
      Returns:
        `This` for chaining.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022